package cn.novalon.gym.manage.db.entity;

import org.springframework.data.relational.core.mapping.Column;
import org.springframework.data.relational.core.mapping.Table;

/**
 * 角色权限关联数据库实体类
 * 
 * @author 张翔
 * @date 2026-03-25
 */
@Table("sys_role_permission")
public class SysRolePermissionEntity extends BaseEntity {

    @Column("role_id")
    private Long roleId;

    @Column("permission_id")
    private Long permissionId;

    public Long getRoleId() {
        return roleId;
    }

    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

    public Long getPermissionId() {
        return permissionId;
    }

    public void setPermissionId(Long permissionId) {
        this.permissionId = permissionId;
    }
}